from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.Archetypes.public import DisplayList
import string

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "ATAudio"
SKINS_DIR = 'skins'

## maximum upload size for ATAudio in MB. 0 is infinite
MAX_FILE_SIZE = 0.0

## Note: the MaxFileSizeValidator is included with the Archetypes validation product
## specifically, the SupplValidators.py.

GLOBALS = globals()

GENRES = DisplayList((
    ('jazz', 'Classic Jazz'),
    ('bebop', 'Bebop'),
    ('modernjazz', 'Modern Jazz'),
    ('freejazz', 'Free Jazz'),
    ('fusionjazz', 'Fusion Jazz'),
    ('worldmusic', 'World Music')
    ))

GOOD_CHARS = string.ascii_letters + string.digits + '._'
CHAR_MAPPING = {
    ' ' : '_',
    '' : 'ae',
    '' : 'oe',
    '' : 'ue',
    '' : 'ss',
    '' : 'Ae',
    '' : 'Oe',
    '' : 'Ue',
    }